Problem mit Cyrus "wrong db version"

mr.mc.mauser
Posts: 6
Joined: 2007-07-31 22:15
Location: nähe Loreley

Problem mit Cyrus "wrong db version"

Post by mr.mc.mauser »

Hallo,

ich versuche seit tagen Cyrus bei mir zum laufen zu bekommen !
Habe auch schon diverse Foren durchsucht aber ich finde nichts !

In der Log datei steht folgendes drin:

Code: Select all

Jul 22 18:28:08 localhost cyrus/imap[1859]: incorrect version of Berkeley db: compiled against 4.5.20, linked against 4.4.20
Jul 22 18:28:08 localhost cyrus/imap[1859]: Fatal error: wrong db version
Jul 22 18:28:08 localhost cyrus/master[5325]: process 1858 exited, signaled to death by 11
Jul 22 18:28:08 localhost cyrus/master[5325]: process 1859 exited, signaled to death by 11


Hat jemand ne Idee wie man Cyrus zum laufen bekommt !
Ich habe übrigends nicht selbst kompliert sondern per Apt-get installiert !

Mein System auf dem es nicht Läuft ist ein Lokaler Server der unter Sidux(Debian) läuft

Gruß
Robert
Top

Roger Wilco
Administrator
Administrator
Posts: 6001
Joined: 2004-05-23 12:53

Re: Problem mit Cyrus "wrong db version"

Post by Roger Wilco »

Installiere libdb4.4 und/oder libdb4.5 auf deinem System.
Top

mr.mc.mauser
Posts: 6
Joined: 2007-07-31 22:15
Location: nähe Loreley

Re: Problem mit Cyrus "wrong db version"

Post by mr.mc.mauser »

Hallo,

das habe ich ja Installiert
folgednes ist Installiert aber der fehler kommt trotzdem
Softwarelitse:

Code: Select all

libdb3
libdb4.2
libdb4.2++c2
libdb4.3
libdb4.3++c2
libdb4.4
libdb4.4++
libdb4.5
libdb4.5++
libdb4.6
libdb4.6++
libdbd-mysql-perl
libdbd-mysql-ruby1.8
libdbd-pg-perl
libdbi-perl
libdbi-ruby1.8
libdbus-1-3
libdbus-1-dev
libdbus-glib-1-2
libdbus-qt-1-1c2


Gruß
Robert
Top

flo
RSAC
Posts: 2297
Joined: 2002-07-28 13:02
Location: Berlin

Re: Problem mit Cyrus "wrong db version"

Post by flo »

Versuchst Du, alte Mails mit einer neuen Cyrus-Version zum Laufen zu bringen?
Top

mr.mc.mauser
Posts: 6
Joined: 2007-07-31 22:15
Location: nähe Loreley

Re: Problem mit Cyrus "wrong db version"

Post by mr.mc.mauser »

Hallo,

und Nein, der Rechner auf dem ich das Installieren möchte war in sachen Mail Jungfräulich !

Ich möchte mir Lokal einen Mailserver aufsetzten damit ich Lokal gefahrlos experimentieren kann. Nur leider scheitert es schon an diesen Kleinigkeiten.

Es handelt sich bei dem System übrigends um cyrus 2.3
jetzt habe ich alles nochmals gelöscht und cyrus 2.2 installiert, das habe ich auch zum laufen bekommen.
Aber 2.3 lässt sich nicht dazu bewegen auch nur im ansatz zu laufen, es macht auch noch probleme beim deinstallieren mittels Apt-get da kommt es immer zu einem Fehlercode 2 !!!

Gruß
Robert
Top

flo
RSAC
Posts: 2297
Joined: 2002-07-28 13:02
Location: Berlin

Re: Problem mit Cyrus "wrong db version"

Post by flo »

Da ist doch definitiv das Paket im Eimer!?

Ich hatte die Probleme neulich auf Etch auch, aber das lag an umkopierten Maildatenbanken.
Top